MantisBT

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000054WolfAdminCommandspublic2016-03-01 22:002017-02-04 19:02
ReporterTimo 
Assigned ToTimo 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version1.1.0Fixed in Version1.1.0 
Summary0000054: Implement pagination
DescriptionJust like !showbans, allow one to do !showwarns -5 or !listlevels [player] 5 and list only parts of the total result set.
TagsNo tags attached.
ModN/A
Mod version
Standaloneno
Attached Files

- Relationships

-  Notes
(0000061)
Timo (administrator)
2016-03-09 18:22

Fixed in changeset 7445e7b.

- Related Changesets
WolfAdmin: master 7445e7b1
Timestamp: 2016-03-09 18:21:28
Author: Timo
Details ] Diff ]
Implemented pagination for !showbans, !listlevels and !listaliases (issue 0000054)
mod - luascripts/admin/warns.lua Diff ] File ]
mod - luascripts/commands/admin/listaliases.lua Diff ] File ]
mod - luascripts/commands/admin/listlevels.lua Diff ] File ]
mod - luascripts/commands/admin/showwarns.lua Diff ] File ]
mod - luascripts/db/mysql.lua Diff ] File ]
add - luascripts/util/pagination.lua Diff ] File ]
WolfAdmin: develop/1.2.0 70417c12
Timestamp: 2017-02-03 11:07:36
Author: Timo
Details ] Diff ]
Fixed paginated lists returning too many results (refs 0000054)
mod - luamods/wolfadmin/commands/admin/listaliases.lua Diff ] File ]
mod - luamods/wolfadmin/commands/admin/listlevels.lua Diff ] File ]
mod - luamods/wolfadmin/commands/admin/showbans.lua Diff ] File ]
mod - luamods/wolfadmin/commands/admin/showhistory.lua Diff ] File ]
mod - luamods/wolfadmin/util/pagination.lua Diff ] File ]
WolfAdmin: develop/1.1.1 f17df67a
Timestamp: 2017-02-03 11:07:36
Author: Timo
Details ] Diff ]
Fixed paginated lists returning too many results (refs 0000054)
mod - luascripts/commands/admin/listaliases.lua Diff ] File ]
mod - luascripts/commands/admin/listlevels.lua Diff ] File ]
mod - luascripts/commands/admin/showwarns.lua Diff ] File ]
mod - luascripts/util/pagination.lua Diff ] File ]
WolfAdmin: develop/1.2.0 1fe77fda
Timestamp: 2017-02-04 14:20:18
Author: Timo
Details ] Diff ]
Also fixed pagination for negative offsets (refs 0000054)
mod - luamods/wolfadmin/util/pagination.lua Diff ] File ]
WolfAdmin: develop/1.1.1 74844218
Timestamp: 2017-02-04 14:20:18
Author: Timo
Details ] Diff ]
Also fixed pagination for negative offsets (refs 0000054)
mod - luascripts/util/pagination.lua Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-03-01 22:00 Timo New Issue
2016-03-09 18:22 Timo Note Added: 0000061
2016-03-09 18:22 Timo Status new => resolved
2016-03-09 18:22 Timo Fixed in Version => 1.1.0
2016-03-09 18:22 Timo Resolution open => fixed
2016-03-09 18:22 Timo Assigned To => Timo
2017-02-03 11:07 Timo Changeset attached => WolfAdmin develop 70417c12
2017-02-04 14:20 Timo Changeset attached => WolfAdmin develop 1fe77fda
2017-02-04 19:02 Timo Changeset attached => WolfAdmin develop f17df67a
2017-02-04 19:02 Timo Changeset attached => WolfAdmin develop 74844218


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker